tm_mnd_media_item:
  label: Media Item
  namespace: Organisms/TM - MyNewsDesk
  use: '@organisms/tm-mnd/media-item.html.twig'
  description: Media Item
  dependencies:
    - image
  libraries:
    - tm_mnd_media_item_lib:
        css:
          component:
            ../styles/tm-mnd.css: {}
  fields:
    media:
      type: pattern
      label: Media
      preview:
        - id: image
          fields:
            caption: ''
    download_url:
      type: text
      label: Download URL
      preview: /
  settings:
    type:
      label: Type
      type: select
      options:
        image: Image
        video: Video
      preview: image
      default_value: image
